Subject: [auth48] [IANA] Re: Final Review: RFC-to-be 10016 (draft-ietf-netmod-system-config) in XML
From: Alanna Paloma <[email-masked]>
To: [email-masked]
Cc: Mahesh Jethanandani <[email-masked]>, Qin Wu <[email-masked]>, [email-masked], RFC Editor <[email-masked]>, "maqiufang (A)" <[email-masked]>, auth48archive <[email-masked]>, [email-masked], Kent Watsen <[email-masked]>, [email-masked], "mohamed.boucadair" <[email-masked]>
Date: Wed, 15 Jul 2026 14:04:15 -0700
List-Id: "Archiving AUTH48 exchanges between the RFC Production Center, the authors, and other related parties" <auth48archive.rfc-editor.org>

IANA,

Please make this minor punctuation update in the Registrant Contact field for this XML namespace URI in the “ns” registry at <https://www.iana.org/assignments/xml-registry/ns/yang/ietf-system-datastore.txt>.

Old: 
   URI: urn:ietf:params:xml:ns:yang:ietf-system-datastore
   Registrant Contact: The IESG.

New: 
   URI: urn:ietf:params:xml:ns:yang:ietf-system-datastore
   Registrant Contact: The IESG

Best regards,
Alanna Paloma
RFC Production Center

> On Jul 15, 2026, at 12:51 PM, Alanna Paloma <[email-masked]> wrote:
> 
> Hi Chong, Qin, and Mahesh*,
> 
> Thank you for your approvals. They’ve been noted here:
> https://queue.rfc-editor.org/final-review/rfc10016/
> 
> *Mahesh - We have updated the text per your suggestion. As you noted that more changes to the template are actively being discussed, we will hold publication of this document until we hear further from you.
> 
> The files have been posted here (please refresh):
> https://www.rfc-editor.org/authors/rfc10016.xml
> https://www.rfc-editor.org/authors/rfc10016.txt
> https://www.rfc-editor.org/authors/rfc10016.html
> https://www.rfc-editor.org/authors/rfc10016.pdf
> 
> The relevant diff files have been posted here:
> https://www.rfc-editor.org/authors/rfc10016-diff.html (comprehensive diff)
> https://www.rfc-editor.org/authors/rfc10016-auth48diff.html (Final Review changes)
> https://www.rfc-editor.org/authors/rfc10016-auth48rfcdiff.html (Final Review changes side by side) 
> https://www.rfc-editor.org/authors/rfc10016-lastdiff.html (last version to this one)
> https://www.rfc-editor.org/authors/rfc10016-lastrfcdiff.html (rfcdiff between last version and this)
> 
> Best regards,
> Alanna Paloma
> RFC Production Center
> 
>> On Jul 15, 2026, at 10:42 AM, Mahesh Jethanandani <[email-masked]> wrote:
>> 
>> Hi Alanna,
>> 
>> I have looked at the changes you have made for question #5. Most of the changes look good to me. However, there is more change that we have to make (and something that I need to update the wiki also with) is the following:
>> 
>> In the second paragraph, the template text is getting updated to say the following. Note, this is still being debated, and we can expect some more changes to the text.
>> 
>> 
>> OLD:
>> (1) have to use a secure transport layer (e.g., Secure Shell (SSH)
>> [RFC4252], TLS [RFC8446], and QUIC [RFC9000]) and (2) have to use
>> mutual authentication.
>> 
>> NEW:
>> 
>> (1) have to use a secure transport layer and (2) have to use
>> mutual authentication (e.g., Secure Shell (SSH) [RFC4252],
>> TLS [RFC8446], and QUIC [RFC9000]).
>> 
>>> On Jul 6, 2026, at 4:34 PM, [email-masked] wrote:
>>> 
>>> Authors and *AD,
>>> 
>>> While reviewing this document during Final Review, please resolve (as necessary) the following questions, which are also in the source file.
>>> 
>>> *AD, please review question #5 below.
>>> 
>>> 
>>> 1) <!--[rfced] We note that most of the recently published RFCs
>>> containing YANG modules format their titles as "A YANG Data Model
>>> for...", for example:
>>> 
>>> RFC 9094 - A YANG Data Model for Wavelength Switched Optical Networks (WSONs)
>>> RFC 9093 - A YANG Data Model for Layer 0 Types
>>> RFC 9067 - A YANG Data Model for Routing Policy
>>> 
>>> Please consider whether the title of this document should be updated.
>>> 
>>> Current:
>>>  System-Defined Configuration
>>> 
>>> Perhaps:
>>>  A YANG Data Model for System-Defined Configuration    
>>> -->
>>> 
>>> 
>>> 2) <!--[rfced] Per guidance from Section 2 of RFC 8340, we moved the
>>> lines in the YANG tree diagram (in Section 7.1) over two spaces
>>> to the left. Please review and let us know of any objections.
>>> -->
>>> 
>>> 
>>> 3) <!--[rfced] Because XML examples are present in this document, we
>>> added a citation to W3C in Section 7.3 and a corresponding entry
>>> under the Informative References section.  Please let us know if
>>> this is agreeable or if you prefer otherwise.
>>> 
>>> Original:
>>>  The following example shows how the configuration in <system> could
>>>  be retrieved in a NETCONF <get-data> RPC operation.  The example uses
>>>  the "example-application" fictional data model defined in
>>>  Appendix A.1.
>>> 
>>> Current: 
>>>  The following example shows how the configuration in <system> could
>>>  be retrieved in a NETCONF <get-data> RPC operation.  The example
>>>  uses XML [W3C.XML1.0] and the "example-application" fictional data
>>>  model defined in Appendix A.1.
>>> -->
>>> 
>>> 
>>> 4) <!--[rfced] FYI - In Section 7.3, note that we moved the example over
>>> three spaces to the left because
>>> "xmlns:sysds="urn:ietf:params:xml:ns:yang:ietf-system-datastore">"
>>> was 3 characters over the limit.
>>> -->
>>> 
>>> 
>>> 5) <!--[rfced] *[AD] We have altered some text in the Security
>>> Considerations section to match the boilerplate text at
>>> <https://wiki.ietf.org/group/ops/yang-security-guidelines>. Also
>>> note that paragraph 4 varies from the template (we attempted to
>>> make it match more closely). Please review and let us know if any
>>> further updates are needed or if the text is agreeable as is.
>>> -->        
>>> 
>>> 
>>> 6) <!--[rfced] Note that the YANG module examples have been updated per
>>> the formatting option of pyang.  Please let us know any concerns.
>>> 
>>> a) example-application has been updated as follows:
>>> 
>>> prefix "ex-app" -> prefix ex-app
>>> prefix "inet"   -> prefix inet
>>> 
>>> b) example-acl has been updated as follows:
>>> 
>>> prefix "ex-acl" -> prefix ex-acl
>>> prefix "ex-app" -> prefix ex-app
>>> prefix "inet"   -> prefix inet
>>> 
>>> c) example-interface has been updated as follows:
>>> 
>>> prefix "ex-if" -> prefix ex-if
>>> prefix "inet"  -> prefix inet
>>> key name       -> key "name"
>>> 
>>> d) example-interface-management has been updated as follows:
>>> 
>>> prefix "ex-ifm" -> prefix ex-ifm
>>> prefix "inet"   -> prefix inet
>>> -->
>>> 
>>> 
>>> 7) <!--[rfced] We note that the following system configuration terms are
>>> hyphenated. Are these specific terms that should always appear
>>> hyphenated? We are confirming because adverbs ending in "ly" are
>>> not typically hyphenated in the RFC Series, and we could not find
>>> the hyphenated forms of these terms in past RFCs.
>>> 
>>> If the hyphens are not essential, we would remove them from
>>> "immediately-present" and "conditionally-present", and we would
>>> hyphenate "always present" only when in attributive position 
>>> (i.e., when followed by a noun). Please let us know your preference.
>>> 
>>> always-present
>>> conditionally-present
>>> immediately-present
>>> -->
>>> 
>>> 
>>> 8) <!-- [rfced] FYI - We have added expansions for the following
>>> abbreviations per Section 3.6 of RFC 7322 ("RFC Style
>>> Guide"). Please review each expansion in the document carefully
>>> to ensure correctness.
>>> 
>>> Access Control List (ACL)
>>> Network Configuration Protocol (NETCONF)
>>> -->
>>> 
>>> 
>>> 9) <!-- [rfced] Please review the "Inclusive Language" portion of the online
>>> Style Guide <https://www.rfc-editor.org/styleguide/part2/#inclusive_language>
>>> and let us know if any changes are needed.  Updates of this nature typically
>>> result in more precise language, which is helpful for readers. 
>>> 
>>> Note that our script did not flag any words in particular, but this should 
>>> still be reviewed as a best practice.
>>> -->
>>> 
>>> 
>>> Thank you.
>>> 
>>> Alanna Paloma and Karen Moore
>>> RFC Production Center
>>> 
>>> 
>>> On Jul 6, 2026, at 4:24 PM, [email-masked] wrote:
>>> 
>>> *****IMPORTANT*****
>>> 
>>> RFC Author(s):
>>> --------------
>>> 
>>> Final Review for RFC-to-be 10016 <draft-ietf-netmod-system-config>
>>> 
>>> Your document is now available for Final Review (previously AUTH48). Once it has been
>>> reviewed and approved by you and all coauthors, it will be published as an RFC.
>>> If an author is no longer available, there are several remedies;
>>> see the Unavailable Authors section
>>> (https://authors.ietf.org/rfc-publication-process#unavailable-authors).
>>> 
>>> You and you coauthors are responsible for engaging other parties
>>> (e.g., Contributors or Working Group) as necessary before providing
>>> your approval.
>>> 
>>> Planning your review
>>> ---------------------
>>> 
>>> Please review the following aspects of your document:
>>> 
>>> *  RFC Editor questions
>>> 
>>> Please review and resolve any questions raised by the RFC Editor
>>> that have been included in the XML file as comments marked as
>>> follows:
>>> 
>>> <!-- [rfced] ... -->
>>> 
>>> These questions will also be sent in a subsequent email.
>>> 
>>> *  Changes submitted by coauthors
>>> 
>>> Please ensure that you review any changes submitted by your
>>> coauthors.  We assume that if you do not speak up that you
>>> agree to changes submitted by your coauthors.
>>> 
>>> *  Content
>>> 
>>> Please review the full content of the document, as this cannot
>>> change once the RFC is published.  Please pay particular attention to:
>>> - IANA considerations updates (if applicable)
>>> - contact information
>>> - references
>>> 
>>> *  Copyright notices and legends
>>> 
>>> Please review the copyright notice and legends as defined in
>>> RFC 5378 and the Trust Legal Provisions
>>> (TLP – https://trustee.ietf.org/license-info).
>>> 
>>> *  Semantic markup
>>> 
>>> Please review the markup in the XML file to ensure that elements of
>>> content are correctly tagged.  For example, ensure that <sourcecode>
>>> and <artwork> are set correctly.  See details at
>>> <https://authors.ietf.org/rfcxml-vocabulary>.
>>> 
>>> *  Formatted output
>>> 
>>> Please review the PDF, HTML, and TXT files to ensure that the
>>> formatted output, as generated from the markup in the XML file, is
>>> reasonable.  Please note that the TXT will have formatting
>>> limitations compared to the PDF and HTML.
>>> 
>>> 
>>> Submitting changes
>>> ------------------
>>> 
>>> To submit changes, please reply to this email using 'REPLY ALL' as all
>>> the parties CCed on this message need to see your changes. The parties
>>> include:
>>> 
>>> *  your coauthors
>>> 
>>> *  [email-masked] (the RPC team)
>>> 
>>> *  other document participants, depending on the stream (e.g.,
>>>    IETF Stream participants are your working group chairs, the
>>>    responsible ADs, and the document shepherd).
>>> 
>>> *  [email-masked], which is an archival mailing list
>>>    to preserve discussion about the document while in the RPC editorial
>>>    queue; it is not an active discussion list:
>>> 
>>>   *  More info:
>>>      https://mailarchive.ietf.org/arch/msg/ietf-announce/yb6lpIGh-4Q9l2USxIAe6P8O4Zc
>>> 
>>>   *  The archive itself:
>>>      https://mailarchive.ietf.org/arch/browse/auth48archive/
>>> 
>>>   *  Note: If only absolutely necessary, you may temporarily opt out
>>>      of the archiving of messages (e.g., to discuss a sensitive matter).
>>>      If needed, please add a note at the top of the message that you
>>>      have dropped the address. When the discussion is concluded,
>>>      [email-masked] will be re-added to the CC list and
>>>      its addition will be noted at the top of the message.
>>> 
>>> You may submit your changes in one of two ways:
>>> 
>>> An update to the provided XML file
>>> — OR —
>>> An explicit list of changes in this format
>>> 
>>> Section # (or indicate Global)
>>> 
>>> OLD:
>>> old text
>>> 
>>> NEW:
>>> new text
>>> 
>>> You do not need to reply with both an updated XML file and an explicit
>>> list of changes, as either form is sufficient.
>>> 
>>> We will ask a stream manager to review and approve any changes that seem
>>> beyond editorial in nature, e.g., addition of new text, deletion of text,
>>> and technical changes.  Information about stream managers can be found in
>>> the FAQ.  Editorial changes do not require approval from a stream manager.
>>> 
>>> 
>>> Approving for publication
>>> --------------------------
>>> 
>>> To approve your RFC for publication, please reply to this email stating
>>> that you approve this RFC for publication.  Please use 'REPLY ALL',
>>> as all the parties CCed on this message need to see your approval.
>>> 
>>> 
>>> Files
>>> -----
>>> 
>>> The files are available here:
>>> https://www.rfc-editor.org/authors/rfc10016.xml
>>> https://www.rfc-editor.org/authors/rfc10016.html
>>> https://www.rfc-editor.org/authors/rfc10016.pdf
>>> https://www.rfc-editor.org/authors/rfc10016.txt
>>> 
>>> Diff file of the text:
>>> https://www.rfc-editor.org/authors/rfc10016-diff.html
>>> https://www.rfc-editor.org/authors/rfc10016-rfcdiff.html (side by side)
>>> 
>>> Diff of the XML:
>>> https://www.rfc-editor.org/authors/rfc10016-xmldiff1.html
>>> 
>>> 
>>> Tracking progress
>>> -----------------
>>> 
>>> Details on the status of your Final Review are here:
>>> https://queue.rfc-editor.org/final-review/rfc10016/
>>> 
>>> Please let us know if you have any questions.
>>> 
>>> Thank you for your cooperation,
>>> 
>>> RFC Editor
>>> 
>>> --------------------------------------
>>> RFC 10016 (draft-ietf-netmod-system-config)
>>> 
>>> Title            : System-defined Configuration
>>> Author(s)        : Q. Ma, Ed.,
>>>                 Q. Wu,
>>>                 C. Feng
>>> WG Chair(s)      : Kent Watsen, Lou Berger
>>> Area Director(s) : Mohamed Boucadair, Mahesh Jethanandani
>> 
>> 
>> Mahesh Jethanandani
>> [email-masked]
>> 
>> 
>> 
>> 
>> 
>> 
>